import request from '@/utils/request'

// 查询安防告警日志列表
export function listAlarmLog(query) {
  return request({
    url: '/base/alarmLog/list',
    method: 'get',
    params: query
  })
}

// 查询安防告警日志详细
export function getAlarmLog(id) {
  return request({
    url: '/base/alarmLog/' + id,
    method: 'get'
  })
}

// 确认告警
export function confirmAlarmLog(id, data) {
  return request({
    url: '/base/alarmLog/' + id + '/confirm',
    method: 'put',
    data: data
  })
}

// 忽略告警
export function ignoreAlarmLog(id, data) {
  return request({
    url: '/base/alarmLog/' + id + '/ignore',
    method: 'put',
    data: data
  })
}
